cURL
curl --request GET \
--url https://api.comm.com/api/v1/voice/calls/analyses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.comm.com/api/v1/voice/calls/analyses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.comm.com/api/v1/voice/calls/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"team_id": "<string>",
"meta": {
"insights": {
"summary": "<string>",
"trends": "<string>",
"anomalies": "<string>"
},
"agents_performance": [
{
"agent_id": "<string>",
"voice_id": "<string>",
"performance_score": 123,
"conversion_rate": 123,
"average_call_duration": 123
}
],
"suggested_agents": [
{
"agent_id": "<string>",
"new_agent_name": "<string>",
"voice_speed": 123,
"voice_id": "<string>",
"agent_speak_first": true,
"background_noise": true,
"prompt": "<string>",
"welcome_messages": [
"<string>"
],
"reasons": "<string>"
}
]
},
"created_at": "<string>"
}
],
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Calls
Get v1voicecallsanalyses
GET
/
v1
/
voice
/
calls
/
analyses
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I